/*
 * Copyright (c) 2011 J. Lewis Muir <jlmuir@imca.aps.anl.gov>
 *
 * Permission to use, copy, modify, and distribute this software for any
 * purpose with or without fee is hereby granted, provided that the above
 * copyright notice and this permission notice appear in all copies.
 *
 * THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
 * WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
 * ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
 * WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
 * ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
 * OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 */

package ch.psi.imagej.cbf;

import javax.imageio.ImageTypeSpecifier;
import javax.imageio.metadata.IIOMetadataFormatImpl;

/**
 * I am the metadata format for a CBF image.
 */
public class CbfMetadataFormat extends IIOMetadataFormatImpl {
  private static final String ASSOCIATION_ELEMENT_NAME = "association";

  public CbfMetadataFormat() {
    super(CbfMetadata.NATIVE_FORMAT_NAME, CHILD_POLICY_REPEAT);
    addElement(ASSOCIATION_ELEMENT_NAME, CbfMetadata.NATIVE_FORMAT_NAME, CHILD_POLICY_EMPTY);
    addAttribute(ASSOCIATION_ELEMENT_NAME, "key", DATATYPE_STRING, true, null);
    addAttribute(ASSOCIATION_ELEMENT_NAME, "value", DATATYPE_STRING, true, null);
  }

  @Override
  public boolean canNodeAppear(String elementName, ImageTypeSpecifier imageType) {
    return ASSOCIATION_ELEMENT_NAME.equals(elementName);
  }
}
