/*
 * Copyright (c) 2011 J. Lewis Muir <jlmuir@imca.aps.anl.gov>
 *
 * Permission to use, copy, modify, and distribute this software for any
 * purpose with or without fee is hereby granted, provided that the above
 * copyright notice and this permission notice appear in all copies.
 *
 * THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
 * WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
 * ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
 * WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
 * ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
 * OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 */

package ch.psi.imagej.cbf;

import static org.junit.Assert.assertTrue;

import org.junit.Test;

import ch.psi.imagej.cbf.CbfImageWriterSpi;

/**
 * I test <code>CbfImageWriterSpi</code>.
 */
public class CbfImageWriterSpiTest extends TestUtils {
  @Test
  public void testCanEncodeImage01() {
    CbfImageWriterSpi spi = new CbfImageWriterSpi();
    assertTrue(spi.canEncodeImage(createByteBinarySpecifier()));
    assertTrue(spi.canEncodeImage(createUbyteSpecifier()));
    assertTrue(spi.canEncodeImage(createByteSpecifier()));
    assertTrue(spi.canEncodeImage(createUshortSpecifier()));
    assertTrue(spi.canEncodeImage(createShortSpecifier()));
    assertTrue(spi.canEncodeImage(createIntSpecifier()));
    assertTrue(spi.canEncodeImage(createFloatSpecifier()));
    assertTrue(spi.canEncodeImage(createDoubleSpecifier()));
  }
}
